Subject: Re: [PATCHv6 net-next 0/3] Bonding: support new xfrm state offload functions

From: Jakub Kicinski <[email-masked]>
Date: Tue, 3 Sep 2024 08:56:47 -0700

On Tue, 3 Sep 2024 15:10:48 +0800 Hangbin Liu wrote:
> I saw the patchwork status[1] is Not Applicable. Is there anything I need
> to update?

Majority of the time seemingly inexplicable Not Applicable status means
that DaveM tried to apply the patches and git am failed. Seems to be
the case here as well:

Failed to apply patch:
Applying: bonding: add common function to check ipsec device
Applying: bonding: Add ESN support to IPSec HW offload
error: sha1 information is lacking or useless (drivers/net/bonding/bond_main.c).
error: could not build fake ancestor
hint: Use 'git am --show-current-patch=diff' to see the failed patch
hint: When you have resolved this problem, run "git am --continue".
hint: If you prefer to skip this patch, run "git am --skip" instead.
hint: To restore the original branch and stop patching, run "git am --abort".
hint: Disable this message with "git config advice.mergeConflict false"
Patch failed at 0002 bonding: Add ESN support to IPSec HW offload